Loading...
Searching...
No Matches
juce::RelativePointPath::LineTo Class Reference

## Detailed Description

Class for the line to element.

The documentation for this class was generated from the following file:

- juce_gui_basics/positioning/juce_RelativePointPath.h

Inheritance diagram for juce::RelativePointPath::LineTo:

## Public Member Functions

| LineTo (const RelativePoint &endPoint)
void | addToPath (Path &path, Expression::Scope *) const override
RelativePoint * | getControlPoints (int &numPoints) override
ElementBase * | clone () const override
Public Member Functions inherited from juce::RelativePointPath::ElementBase
| ElementBase (ElementType type)
virtual | ~ElementBase ()=default
bool | isDynamic ()

## Public Attributes

RelativePoint | endPoint
Public Attributes inherited from juce::RelativePointPath::ElementBase
const ElementType | type

## Constructors and Destructors

## LineTo()

juce::RelativePointPath::LineTo::LineTo | ( | const RelativePoint & | endPoint | ) |

References endPoint.

## Member Functions

## addToPath()

void juce::RelativePointPath::LineTo::addToPath | ( | Path & | path,
|  | Expression::Scope * | ) const

override virtual

Implements juce::RelativePointPath::ElementBase.

## getControlPoints()

RelativePoint * juce::RelativePointPath::LineTo::getControlPoints | ( | int & | numPoints | ) |

override virtual

Implements juce::RelativePointPath::ElementBase.

## clone()

ElementBase * juce::RelativePointPath::LineTo::clone | ( |  | ) | const

override virtual

Implements juce::RelativePointPath::ElementBase.

References juce::RelativePointPath::ElementBase::ElementBase().

## Member Data Documentation

## endPoint

RelativePoint juce::RelativePointPath::LineTo::endPoint

Referenced by LineTo().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited